function f = mumod1(x_t,xl_t,u_t,z_t,theta,eps,kind)

f(1) = u_t(1) - theta(15) / 2 * u_t(2) + theta(15) / 40 * x_t(13); %I1
f(2) = u_t(1) - theta(16) / 2 * u_t(3) + theta(16) / 40 * x_t(14) + z_t(6); %I2
f(3) = theta(2) * (x_t(8) - x_t(7)) - theta(4) * (x_t(5) - theta(1)) + theta(6) * x_t(4) - theta(17) * x_t(7) + theta(19) * xl_t(3) - theta(8) * u_t(2) + z_t(1); %y1_short
f(4) = theta(3) * (x_t(7) - x_t(8)) - theta(5) * (x_t(6) - theta(1)) + theta(7) * x_t(3) - theta(18) * x_t(8) + theta(20) * xl_t(4) - theta(9) * u_t(3) + z_t(2); %y2_short
f(5) = x_t(1) - x_t(9); %r1
f(6) = x_t(2) - x_t(10); %r2
f(7) = x_t(9) + theta(10) * x_t(3) + z_t(3); %pi1
f(8) = x_t(10) + theta(11) * x_t(4) + z_t(4); %pi2
f(9) = theta(12) * xl_t(7) + (1 - theta(12)) * xl_t(9) ; %pi1ex_tp
f(10) = theta(13) * xl_t(8) + (1 - theta(13)) * xl_t(10) ; %pi2ex_tp
f(11) = theta(14) * x_t(7) + (1 - theta(14)) * x_t(8); %piE
f(12) = theta(14) * x_t(3) + (1 - theta(14)) * x_t(4); %yE
f(13) = (100 + xl_t(15) - xl_t(9)) / 100 * xl_t(13) - u_t(2) + z_t(7); %D1
f(14) = (100 + xl_t(16) - xl_t(10)) / 100 * xl_t(14) - u_t(3) + z_t(5); %D2
f(15) = (xl_t(20) + xl_t(19) + xl_t(18) + xl_t(17) + xl_t(1) +x_t(1))/6; %BI1 (average I1 in t=-5:0)
f(16) = (xl_t(24) + xl_t(23) + xl_t(22) + xl_t(21) + xl_t(2) +x_t(2))/6; %BI2 (average I2 in t=-5:0)
f(17) = xl_t(1); %I1(-1)
f(18) = xl_t(17); %I1(-2)
f(19) = xl_t(18); %I1(-3)
f(20) = xl_t(19); %I1(-4)
f(21) = xl_t(2); %I2(-1)
f(22) = xl_t(21); %I2(-2)
f(23) = xl_t(22); %I2(-3)
f(24) = xl_t(23); %I2(-4)

if kind == 1
    for i=1:size(x_t,2)
        f(i) = - x_t(i) + f(i);
    end
end