 PlotType = 2; %1 - subplot of all results followed by step-by-step results; 2 - subplots only
    plotMethod = {'Pareto1', 'Pareto2','Pareto3', 'Pareto4','Pareto5', 'Pareto6','Pareto7', 'Pareto8','Pareto9', 'Pareto10',}; 
    plotMethod_title = {'Pareto_DE1', 'Pareto_DE2','Pareto_DE3', 'Pareto_DE4','Pareto_DE5', 'Pareto_DE6','Pareto_DE7', 'Pareto_DE8','Pareto_DE9', 'Pareto_DE10'}; % 'simulation', 'Pareto', 'Nash', 'Pareto_DE', 'Nash_DE'
    %plotMethod_title = {'Nash_DE1', 'Nash_DE2','Nash_DE3', 'Nash_DE4','Nash_DE5', 'Nash_DE6','Nash_DE7', 'Nash_DE8','Nash_DE9', 'Nash_DE10'}; % 'simulation', 'Pareto', 'Nash', 'Pareto_DE', 'Nash_DE'
    numPM = size(plotMethod,2); %number of solution strategies which should be plotted
    %uDE_best_NashOL=uDE_best_Pareto;
    if(exist('list_objectives','var')==0)
        list_objectives = zeros(1,n);
        list_objectives(1:16) = 1;
    end
    nov=sum(list_objectives); %number of state variables which should be plotted
    x_dataTotal = zeros(T-s+1,n,numPM);
    u_dataTotal = zeros(T-s+1,m,numPM);
    
    i=1;
    
    if sum(strcmpi(plotMethod, 'Pareto1')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,1);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto2')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,2);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto3')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,3);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto4')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,4);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto5')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,5);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto6')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,6);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto7')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,7);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto8')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,8);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto9')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,9);
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Pareto10')) > 0;
        x_dataTotal(:,:,i)=x_Pareto;
        u_dataTotal(:,:,i)=uDE_best_NashOL(:,:,10);
        i=i+1;
    end
   
    if sum(strcmpi(plotMethod, 'Pareto-DE')) > 0;
        x_dataTotal(:,:,i)=xDE_P;
        u_dataTotal(:,:,i)=uDE_best_Pareto(:,:,restart);
        %u_dataTotal(:,:,i)=uDE_P;
        i=i+1;
    end
    if sum(strcmpi(plotMethod, 'Nash-DE')) > 0;
        x_dataTotal(:,:,i)=xDE;
        u_dataTotal(:,:,i)=uDE;
        i=i+1;
    end
    
    x_dataPlot = zeros(T-s+1,nov,numPM);
    j=1;
    for i=1:n
        if list_objectives(i)==1;
            x_dataPlot(:,j,:)=x_dataTotal(:,i,:);
            x_namesPlot(j)=x_names(i);
            j=j+1;
        end
    end
    
    %subplot_results(fname,x_dataPlot,u_dataTotal,x_namesPlot,u_names,plotMethod,numPM,list_objectives,PlotType);
    
    pcn=1; %plot control variable number 'pcn'
    psn=1; %plot state variable number 'psn'
    
    plot_results10(fname,x_dataPlot,u_dataTotal,x_namesPlot,u_names,plotMethod_title,numPM,3,0);
    %export_fig results/mumod1/2017_JBNST/distance_ParetoDE_u1.eps;
    
    
    pos_best=find(J_DE_final_NashOL(:,4)==min(J_DE_final_NashOL(:,4)));
    pos_best=find(J_DE_final_Pareto(:,4)==min(J_DE_final_Pareto(:,4)));
    
    
%     u_data_dist=zeros(30,3,10);
%     for r=1:10
%         u_data_dist(:,:,r)=u_dataTotal(:,:,r)-u_dataTotal(:,:,pos_best);
%     end
    
    u_data_norm=zeros(30,3,10);
    for r=1:10
        for i=1:3
            u_data_norm(:,i,r)=(u_dataTotal(:,i,r)-mean(u_dataTotal(:,i,r)))/std(u_dataTotal(:,i,r));
        end
    end
    
    distance = zeros(10,1);
    for r=1:10
        distance(r)= sum(sum((u_data_norm(:,:,r)-u_data_norm(:,:,pos_best)).^2).^0.5);
    end
    
    
    